petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCBDDCGetNeumannBoundariesLocal

Get parallel IS for Neumann boundaries (in local ordering)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetNeumannBoundariesLocal(PC pc,IS *NeumannBoundaries)

Collective

### Input Parameters

pc -the preconditioning context

### Output Parameters

NeumannBoundaries -index set defining the subdomain part of Neumann boundaries

### Notes

The IS returned could be the same passed in earlier by the user (if provided with PCBDDCSetNeumannBoundariesLocal) or a global-to-local map of the global IS (if provided with PCBDDCSetNeumannBoundaries). In the latter case, the IS will be available after PCSetUp.

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages